read-webpage = location + reply ->
  - wget location ( received total ->
                                      say "\v" received ' bytes received.'
                  ) 
                  ( rc ->
                          reply = rc
                  )
  + ec, error >
    handle ec error
  + ec >
    catch ec
  ;

  if reply.header.code ->
    <>
  else
    <<- ERR_NO_HTTP_CODE
  ;
;